<?
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) die();

use \Bitrix\Main\Loader;
use \Bitrix\Sale\Location;

global $USER;

Loader::includeModule('sale');
if ($USER->IsAuthorized()) {
    LocalRedirect('/personal/');
    exit();
}


$arResult['CITIES'] = Location\LocationTable::getList(array(
    'filter' => array(
        '=NAME.LANGUAGE_ID' => LANGUAGE_ID,
        'TYPE_CODE' => 'CITY'
    ),
    'select' => array(
        'NAME_RU' => 'NAME.NAME',
        'TYPE_CODE' => 'TYPE.CODE'
    )
))->fetchAll();


if (
    (check_bitrix_sessid()) and
    (!empty($_POST['EMAIL'])) and
    (!empty($_POST['PASSWORD']))
) {
    $arResult = $USER->Register(
        $_POST['EMAIL'],
        $_POST['NAME'],
        $_POST['LAST_NAME'],
        $_POST['PASSWORD'],
        $_POST['PASSWORD'],
        $_POST['EMAIL']
    );
    if ($arResult['TYPE'] === 'ERROR') {
        ShowMessage($arResult); // выводим результат в виде сообщения
        unset($_POST);
    } else {
        $user = new CUser;
        if(substr($_POST['PERSONAL_MOBILE'], 0, 1) === '8') {
            // Заменяем '8' на '7'
            $phoneNumber = '7' . substr($_POST['PERSONAL_MOBILE'], 1);
        }

        $fields = array(
            'PERSONAL_CITY' => $_POST['PERSONAL_CITY'],
            'PERSONAL_MOBILE' => $phoneNumber,
            'PHONE_NUMBER'  => $phoneNumber,
        );
        $user->Update($USER->GetID(), $fields);
        //$strError .= $user->LAST_ERROR;
        // echo $USER->GetID(); // ID нового пользователя
        $USER->Authorize($USER->GetID());
        LocalRedirect('/personal/');
    }
}
$this->includeComponentTemplate();
