<? if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();
/*  TODO
  *  + Рекомендуемые в карточке
  *  - Просмотренные сбоку и в карточке, если нет то рекомендуемые и баннер не забыть
  *  + Поиск
  *  + Избранное
  *  + Статичные страницы
  *  + Вход // выход
  *  + Регистрация
  *  - Добавление объявы + редактирование довести до ума уже
  *  - Больше картинок в карточке MORE_PHOTO
  *  - Написать пользователю кнопка в карточке
  *  -
  *  -
  *  -
*/
?>
<!doctype html>
<html xml:lang="<?= LANGUAGE_ID ?>" lang="<?= LANGUAGE_ID ?>">
<head>
    <title><? $APPLICATION->ShowTitle() ?></title>
    <?
    $CurDir = $APPLICATION->GetCurDir();
    $CurUri = $APPLICATION->GetCurUri();
    $isShowAsidePanel = $APPLICATION->GetProperty('show_aside_panel');

    use Bitrix\Main\Page\Asset,
        Bitrix\Conversion\Internals\MobileDetect;

    $detect = new MobileDetect;
    if ($detect->isMobile()) {
        // LocalRedirect('https://mobiletech.bxstore.ru/');
        // exit;
    }

    $isShowAsidePanel = $APPLICATION->GetProperty('aside_panel');
    // JS
    CJSCore::Init(['jquery3']);
    Asset::getInstance()->addJs(SITE_TEMPLATE_PATH . '/js/fancy/jquery.fancybox.min.js');
    Asset::getInstance()->addJs(SITE_TEMPLATE_PATH . '/js/select/select2.full.min.js');
    Asset::getInstance()->addJs(SITE_TEMPLATE_PATH . '/js/myscripts.min.js');
    // CSS
    \Bitrix\Main\UI\Extension::load([
        'ui.fonts.opensans',
        //'ui.bootstrap4'
    ]);
    // $APPLICATION->ShowAjaxHead();
    // public function ShowAjaxHead($bXhtmlStyle = true, $showCSS = true, $showStrings = true, $showScripts = true)
    Asset::getInstance()->addCss(SITE_TEMPLATE_PATH . '/js/fancy/jquery.fancybox.min.css');
    Asset::getInstance()->addCss(SITE_TEMPLATE_PATH . '/js/select/select2.min.css');
    // HEADERS
    $APPLICATION->ShowHead();
    ?>
    <meta name="viewport"
          content="width=device-width, height=device-height, initial-scale=1.0, user-scalable=no, user-scalable=0"/>
    <meta name="format-detection" content="telephone=no">
    <meta name="yandex-verification" content="a7802eeca7f219ec"/>
    <link rel="apple-touch-icon" sizes="57x57" href="/local/ico/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/local/ico/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/local/ico/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/local/ico/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/local/ico/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/local/ico/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/local/ico/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/local/ico/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/local/ico/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192" href="/local/ico/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/local/ico/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/local/ico/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/local/ico/favicon-16x16.png">
    <link rel="manifest" href="/local/ico/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/local/ico/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    <!-- Yandex.Metrika counter -->
    <script type="text/javascript" data-skip-moving="true">
        (function (m, e, t, r, i, k, a) {
            m[i] = m[i] || function () {
                (m[i].a = m[i].a || []).push(arguments)
            };
            m[i].l = 1 * new Date();
            for (var j = 0; j < document.scripts.length; j++) {
                if (document.scripts[j].src === r) {
                    return;
                }
            }
            k = e.createElement(t), a = e.getElementsByTagName(t)[0], k.async = 1, k.src = r, a.parentNode.insertBefore(k, a)
        })
        (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");

        ym(97391852, "init", {
            clickmap: true,
            trackLinks: true,
            accurateTrackBounce: true
        });
    </script>
    <!-- /Yandex.Metrika counter -->
</head>
<body>
<?
$APPLICATION->ShowPanel();
$APPLICATION->IncludeComponent("mibazarow:favorites.add", "",
    array(),
);
?>
<div class="container">
    <div class="top_header">
        <? $APPLICATION->IncludeComponent("twofingers:location", "top_header_geo", array(),
            false
        ); ?>

        <div class="top_header_user">
            <div class="top_header_user_wish">
                <? $APPLICATION->IncludeComponent("mibazarow:favorites.line", "top_header_wish", array(
                    "COMPONENT_TEMPLATE" => ".default",
                    "URL_LIST" => "/personal/my_wishlist/",    // Путь до списка избранных товаров
                    "CACHE_TYPE" => "A",    // Тип кеширования
                    "CACHE_TIME" => "36000",    // Время кеширования (сек.)
                ),
                    false
                ); ?>
            </div>
            <? if ($USER->IsAuthorized()) {
                $APPLICATION->IncludeComponent("bitrix:main.user.link", "top_header_user", array(
                    "CACHE_TIME" => "7200",    // Время кеширования (сек.)
                    "CACHE_TYPE" => "A",    // Тип кеширования
                    "ID" => $USER->GetID(),    // Идентификатор пользователя
                    "NAME_TEMPLATE" => "",    // Отображение имени
                    "SHOW_LOGIN" => "Y",    // Показывать логин, если не задано имя
                    "USE_THUMBNAIL_LIST" => "Y",    // Отображать личное фото в списке
                ),
                    false
                );
            } else {
                // TODO тут будет main.auth.form выпадающийи или попап
                ?>
                <a href="/personal/auth/" class="btn btn_not_colored btn_small">
                    <span>Вход и регистрация</span>
                </a>
            <? } ?>

        </div>
    </div>
</div>
<div class="site_header_clb"></div>
<header class="site_header">
    <div class="container site_header_row">
        <a href="/" class="site_header_row_logo">
            <img src="<?= SITE_TEMPLATE_PATH ?>/img/LOGO.svg" alt="TECH">
        </a>
        <div class="site_header_row_catalog">
            <?
            $APPLICATION->IncludeComponent(
                "bitrix:catalog.section.list",
                "header_catalog_menu",
                array(
                    "IBLOCK_TYPE" => "catalog2",
                    "IBLOCK_ID" => "14",
                    "SECTION_ID" => "",
                    "SECTION_CODE" => "",
                    "COUNT_ELEMENTS" => "Y",
                    "TOP_DEPTH" => "2",
                    "SECTION_FIELDS" => array(
                        0 => "",
                        1 => "",
                    ),
                    "SECTION_USER_FIELDS" => array(
                        0 => "",
                        1 => "",
                    ),
                    "SECTION_URL" => "",
                    "CACHE_TYPE" => "A",
                    "CACHE_TIME" => "36000000",
                    "CACHE_NOTES" => "",
                    "CACHE_GROUPS" => "Y",
                    "ADD_SECTIONS_CHAIN" => "N",
                    "COMPONENT_TEMPLATE" => ".default",
                    "COUNT_ELEMENTS_FILTER" => "CNT_ACTIVE",
                    "ADDITIONAL_COUNT_ELEMENTS_FILTER" => "additionalCountFilter",
                    "HIDE_SECTIONS_WITH_ZERO_COUNT_ELEMENTS" => "N",
                    "FILTER_NAME" => "sectionsFilter",
                    "VIEW_MODE" => "LINE",
                    "SHOW_PARENT_NAME" => "Y",
                    "CACHE_FILTER" => "N"
                ),
                false
            ); ?>
        </div>
        <div class="site_header_row_search">
            <? $APPLICATION->IncludeComponent(
                "bitrix:search.title",
                "topsearch",
                array(
                    "NUM_CATEGORIES" => "1",
                    "TOP_COUNT" => "5",
                    "ORDER" => "date",
                    "USE_LANGUAGE_GUESS" => "Y",
                    "CHECK_DATES" => "N",
                    "SHOW_OTHERS" => "N",
                    "PAGE" => "#SITE_DIR#search/index.php",
                    "CATEGORY_0_TITLE" => "",
                    "CATEGORY_0" => array(
                        0 => "iblock_catalog2",
                    ),
                    "COMPONENT_TEMPLATE" => "topsearch",
                    "SHOW_INPUT" => "Y",
                    "INPUT_ID" => "title-search-input",
                    "CONTAINER_ID" => "title-search",
                    "CATEGORY_0_iblock_catalog2" => array(
                        0 => "14",
                    )
                ),
                false
            ); ?>
        </div>
        <div class="site_header_row_add">
            <a href="/personal/add_bulletin/" class="btn btn_colored">
                <span>Добавить объявление</span>
            </a>
        </div>
    </div>
</header>


<main class="container">
    <? if ($CurDir !== '/') { ?>
        <?
        $APPLICATION->IncludeComponent("bitrix:breadcrumb", "bread", array(
            "START_FROM" => "0",    // Номер пункта, начиная с которого будет построена навигационная цепочка
            "PATH" => "",    // Путь, для которого будет построена навигационная цепочка (по умолчанию, текущий путь)
            "SITE_ID" => "-",    // Cайт (устанавливается в случае многосайтовой версии, когда DOCUMENT_ROOT у сайтов разный)
        ),
            false
        ); ?>
        <? if (!CSite::InDir('/bulletins/')) { ?>
            <h1>
                <? $APPLICATION->ShowTitle(false); ?>
            </h1>
        <? } ?>
    <? } ?>


    <? if (!empty($isShowAsidePanel)) { ?>
    <section class="container_row">
        <article class="container_row_content">
   <? } ?>



