<?
if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();
$this->setFrameMode(false);
?>

<script>
    $(document).ready(function () {
        $("#iblock_section").select2();
    });
</script>


<? foreach ($arResult['ERRORS'] as $ERROR) { ?>
    <?= $ERROR ?> <br>
<? } ?>
<script>
    // localStorage.clear();
</script>


<div class="bulletin_form">
    <form
            name="iblock_add"
            action="<?= POST_FORM_ACTION_URI ?>"
            method="post"
            enctype="multipart/form-data"
    >
        <?= bitrix_sessid_post() ?>


        <div class="row" id="sections_list">
            <div class="col-lg-12">
                <div class="bulletin_form_main_section">
                    <h4>Выберите категорию</h4>
                    <?php foreach ($arResult['IBLOCK_SECTIONS'] as $section) {
                        if ($_REQUEST['SECTION_PARENT_ID'] == $section['ID']) {
                            $checked = ' checked';
                        }
                        if (
                            ($arResult['EDIT_VALUES']) and
                            ($section['ID'] === $arResult['EDIT_VALUES']['PARENT_SECTION'])
                        ) {
                            $checked = ' checked';
                        }
                        ?>
                        <label>
                            <input required
                                <?= $checked ?>
                                   type="radio"
                                   name="selected_section"
                                   value="<?= $section['ID'] ?>"
                            >
                            <span>
                                <?= $section['NAME'] ?>
                            </span>
                        </label>
                        <?
                        unset($checked);
                    } ?>
                </div>
            </div>
            <div class="col-lg-12">
                <? if (
                    ($arResult['SUB_SECTIONS_LIST']) or
                    ($arResult['EDIT_VALUES']['IBLOCK_SECTION_ID'])
                ) { ?>
                    <div class="bulletin_form_sub_section">
                        <h4>Выберите подкатегорию</h4>
                        <?php foreach ($arResult['SUB_SECTIONS_LIST'] as $SubSection) {
                            if (
                                ($arResult['EDIT_VALUES']) and
                                ($SubSection['ID'] === $arResult['EDIT_VALUES']['IBLOCK_SECTION_ID'])
                            ) {
                                $checked = ' checked';
                            }
                            ?>
                            <label>
                                <input required
                                    <?= $checked ?>
                                       type="radio"
                                       style="width: 15px; height: 15px;"
                                       name="IBLOCK_SECTION"
                                       value="<?= $SubSection['ID'] ?>"
                                >
                                <?= $SubSection['NAME'] ?>
                            </label>
                            <br>
                            <? unset($checked);
                        } ?>
                    </div>
                    <?
                } ?>
            </div>
        </div>

        <div class="row">


            <div class="col-lg-6">
                <div class="bulletin_form_field">
                    <h4>Название товара</h4>
                    <input type="text" name="NAME" maxlength="255" value="<?= $arResult['EDIT_VALUES']['NAME'] ?>"
                           required>
                </div>
            </div>


            <div class="col-lg-6">
                <div class="bulletin_form_field">
                    <h4>Цена</h4>
                    <input type="number" name="PRICE" maxlength="255"
                           value="<?= $arResult['EDIT_VALUES']['PRICE']['PRICE'] ?>"
                           required>
                </div>
            </div>


            <div class="col-lg-12">
                <div class="bulletin_form_field">
                    <h4>Описание</h4>
                    <textarea type="text" name="DETAIL_TEXT"><?= $arResult['EDIT_VALUES']['DETAIL_TEXT'] ?></textarea>
                </div>
            </div>


            <div class="col-lg-6">
                <div class="bulletin_form_field">
                    <h4>Состояние товара</h4>
                    <? foreach ($arResult['PROPERTIES']['ATT_CONDITION'] as $oneProp) {
                        foreach ($oneProp['ENUM_VALUES'] as $values) {
                            if (
                                ($arResult['EDIT_VALUES']) and
                                (in_array($values['ID'], $arResult['EDIT_VALUES'][$oneProp['CODE']]))
                            ) {
                                $checked = ' checked';
                            }
                            ?>
                            <label for="<?= $values['ID'] ?>">
                                <input<?= $checked ?>
                                        type="checkbox"
                                        name="<?= $oneProp['CODE'] ?>[]"
                                        value="<?= $values['ID'] ?>"
                                        id="<?= $values['ID'] ?>"
                                >
                                <span><?= $values['VALUE'] ?></span>
                            </label>
                            <?
                            unset($checked);
                        }
                    }
                    ?>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="bulletin_form_field">
                    <h4>Возможность отправки</h4>
                    <? foreach ($arResult['PROPERTIES']['ATT_DILEVERY'] as $oneProp) {
                        foreach ($oneProp['ENUM_VALUES'] as $values) {
                            if (
                                ($arResult['EDIT_VALUES']) and
                                (in_array($values['ID'], $arResult['EDIT_VALUES'][$oneProp['CODE']]))
                            ) {
                                $checked = ' checked';
                            }
                            ?>
                            <label for="<?= $values['ID'] ?>">
                                <input<?= $checked ?>
                                        type="checkbox"
                                        name="<?= $oneProp['CODE'] ?>[]"
                                        value="<?= $values['ID'] ?>"
                                        id="<?= $values['ID'] ?>"
                                >
                                <span><?= $values['VALUE'] ?></span>
                            </label>
                            <?
                            unset($checked);
                        }
                    } ?>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="bulletin_form_field">
                    <h4>Адрес сделки</h4>
                    <? foreach ($arResult['PROPERTIES']['ATT_ADRESS'] as $oneProp) {
                        ?>
                        <input
                                type="text"
                                name="<?= $oneProp['CODE'] ?>"
                                maxlength="255"
                                id="<?= $oneProp['CODE'] ?>"
                                value="<?= $arResult['EDIT_VALUES'][$oneProp['CODE']] ?>"
                                required
                                autocomplete="off"
                                placeholder="<? echo $oneProp['HINT'] ?>">
                        <small style="display: block; padding: 5px 0px 15px 0px; color: red;">Найдите адрес и поставьте метку</small>
                        <?
                    } ?>
                    <? foreach ($arResult['PROPERTIES']['ATT_COORDS'] as $oneProp) {
                        ?>
                        <div id="map" style="width: 100%; height: 350px;"></div>
                        <input class="hidden"
                               type="text"
                               name="<?= $oneProp['CODE'] ?>"
                               id="<?= $oneProp['CODE'] ?>"
                               value="<?= $arResult['EDIT_VALUES'][$oneProp['CODE']] ?>"
                               required
                               autocomplete="off"
                               placeholder="<? echo $oneProp['HINT'] ?>">
                        <?
                    }
                    ?>
                </div>
            </div>


            <div class="col-lg-12">
                <div class="bulletin_form_field">
                    <h4>Фотографии</h4>
                    <? //foreach ($arResult['PROPERTIES']['MORE_PHOTO'] as $oneProp) { // Цикл не нужен
                        $arValues = $arResult['EDIT_VALUES']['MORE_PHOTO'];
                        echo \Bitrix\Main\UI\FileInput::createInstance(array(
                            'name' => 'MORE_PHOTO[n' . ($inputNum == 1 ? '0' : '#IND#') . ']', // Тоже можно проще
                            'description' => false, // Отображение описания файла (true/false)
                            'upload' => true, // Разрешить загрузку файлов (true/false)
                            'allowUpload' => 'I', // Разрешить загрузку только изображений ('I') или всех файлов ('F')
                            'allowUploadExt' => '', // Список разрешенных расширений файлов через запятую (например, 'jpg, png, gif')
                            'medialib' => false, // Разрешить использование медиабиблиотеки (true/false)
                            'fileDialog' => true, // Разрешить использование диалога выбора файла (true/false)
                            'cloud' => false, // Разрешить использование облачных хранилищ (true/false)
                            'delete' => true, // Разрешить удаление файлов (true/false)
                            'maxCount' => '5', // Максимальное количество загружаемых файлов
                            'maxSize' => 0, // Максимальный размер файла в байтах (0 - без ограничения)
                            'multiple' => 'Y', // Разрешить множественный выбор файлов ('Y' - да, 'N' - нет)
                            // 'inputName' => 'FILES', // Имя HTML элемента input для загрузки файла
                            // 'inputValue' => '', // Значение HTML элемента input для загрузки файла
                            // 'uploadUrl' => '/path/to/upload.php', // URL для загрузки файла
                            'showDialog' => true, // Показать диалог выбора файла (true/false)
                            'events' => array( // События, которые могут быть обработаны
                                'onUpload' => 'onUploadFunction', // Событие при загрузке файла
                                'onDelete' => 'onDeleteFunction', // Событие при удалении файла
                            ),
                            'dragAndDrop' => true, // Разрешить загрузку файлов перетаскиванием (drag and drop)
                            'previewSize' => array('width' => 100, 'height' => 100), // Размеры превью загруженных файлов
                            'accept' => 'image/*', // MIME-типы файлов, разрешенные для загрузки
                        ))->show(
                            $arValues ? $arValues : 0,
                            true
                        );
                    //} ?>
                </div>
            </div>
        </div>

        <div class="bulletin_form_submit">
            <input type="submit" value="Отправить" class="btn btn-success">
        </div>

    </form>
</div>






